Name: passwdqc
Version: 1.1.0
Release: alt0.5

Summary: Pluggable password quality checker
License: LGPL
Group: System/Base
Url: http://www.openwall.com/passwdqc/
Packager: Dmitry V. Levin <ldv@altlinux.org>

# ftp://ftp.openwall.com/pub/projects/pam/modules/pam_passwdqc/pam_passwdqc-%version.tar.gz
Source: passwdqc-%version-%release.tar

# due to PAM policy.
BuildRequires(pre): libpam-devel
# due to change in format of PAM modules requirements.
BuildRequires: rpm-build >= 0:4.0.4-alt55

%set_pam_name pam_%name

%package control
Summary: Control rules for password quality checker
License: GPL
Group: System/Base

%package -n lib%name
Summary: Password quality checker shared library
License: LGPL
Group: System/Libraries
PreReq: %name-control = %version-%release, control

%package -n lib%name-devel
Summary: Library and header file for building passwdqc-aware applications
License: LGPL
Group: Development/C
Requires: lib%name = %version-%release

%package utils
Summary: Password quality checker utilities
License: LGPL
Group: System/Base
Requires: lib%name = %version-%release

%package -n %pam_name
Summary: Pluggable password quality checker
License: LGPL
Group: System/Base
Provides: pam_%name = %version-%release
Obsoletes: pam_%name
Requires: lib%name = %version-%release

%description
passwdqc is a simple password strength checking library, utilities and
module for PAM-aware password changing programs, such as passwd(1).
In addition to checking regular passwords, it offers support for
passphrases and can provide randomly generated passwords.
All features are optional and can be (re-)configured without rebuilding.

%description control
This package contains control rules for password strength checking library.
See control(8) for details.

%description -n lib%name
libpasswdqc is a simple password strength checking library.
In addition to checking regular passwords, it offers support
for passphrases and can provide randomly generated passwords.
All features are optional and can be (re-)configured without
rebuilding.

This package contains shared passwdqc library.

%description -n lib%name-devel
libpasswdqc is a simple password strength checking library.
In addition to checking regular passwords, it offers support
for passphrases and can provide randomly generated passwords.
All features are optional and can be (re-)configured without
rebuilding.

This package contains development library and header file
needed for building passwdqc-aware applications.

%description utils
passwdqc is a simple password strength checking library, utilities and
module for PAM-aware password changing programs, such as passwd(1).
In addition to checking regular passwords, it offers support for
passphrases and can provide randomly generated passwords.
All features are optional and can be (re-)configured without rebuilding.

This package contains password strength checking utilities.

%description -n %pam_name
pam_passwdqc is a simple password strength checking module for
PAM-aware password changing programs, such as passwd(1).
In addition to checking regular passwords, it offers support
for passphrases and can provide randomly generated passwords.
All features are optional and can be (re-)configured without
rebuilding.

%prep
%setup -q -n %name-%version-%release

%build
%make_build CFLAGS="%optflags %optflags_shared -Werror -W"

%install
%make_install install DESTDIR=%buildroot \
	SHARED_LIBDIR=/%_lib DEVEL_LIBDIR=%_libdir SECUREDIR=/%_lib/security
install -pD -m755 passwdqc.control \
        %buildroot%_controldir/passwdqc-enforce

%pre -n lib%name
%pre_control passwdqc-enforce

%post -n lib%name
%post_ldconfig
%post_control -s users passwdqc-enforce

%postun -n lib%name -p %postun_ldconfig

%files control
%config %_controldir/*

%files -n lib%name
%config(noreplace) /etc/passwdqc.conf
/%_lib/lib*.so*
%doc LICENSE README PLATFORMS

%files -n lib%name-devel
%_libdir/lib*.so
%_includedir/*.h

%files -n %pam_name
/%_lib/security/*
%_mandir/man?/*

%files utils
%_bindir/*

%changelog
* Wed Feb 20 2008 Dmitry V. Levin <ldv@altlinux.org> 1.1.0-alt0.5
- Merged with 1.0.5-owl1:
  * Tue Feb 12 2008 Solar Designer <solar-at-owl.openwall.com> 1.0.5-owl1
  - Replaced the separator characters with some of those defined by RFC 3986
    as being safe within "userinfo" part of URLs without encoding.
  - Reduced the default value for the N2 parameter to min=... (the minimum
    length for passphrases) from 12 to 11.
  - Corrected the potentially misleading description of N2 (Debian bug #310595).
  - Applied minor grammar and style corrections to the documentation, a
    pam_passwdqc message, and source code comments.
- libpasswdqc: Detect and refuse nested file opening.
- pwqcheck: Documented stdin format.

* Tue Feb 05 2008 Dmitry V. Levin <ldv@altlinux.org> 1.1.0-alt0.4
- Added control(8) for /etc/passwdqc.conf (#12194).

* Fri Aug 10 2007 Dmitry V. Levin <ldv@altlinux.org> 1.1.0-alt0.3
- Reworked error reporting.

* Fri Jun 22 2007 Dmitry V. Levin <ldv@altlinux.org> 1.1.0-alt0.2
- Implemented config= parameter.
- Packaged /etc/passwdqc.conf file with default config.

* Tue Jun 19 2007 Dmitry V. Levin <ldv@altlinux.org> 1.1.0-alt0.1
- Created libpasswdqc shared library.
- Created pwqgen and pwqcheck utilities.

* Tue Apr 10 2007 Dmitry V. Levin <ldv@altlinux.org> 1.0.4-alt2
- Gearified.

* Sun Jun 04 2006 Dmitry V. Levin <ldv@altlinux.org> 1.0.4-alt1
- Updated to 1.0.4.

* Thu Jan 12 2006 Dmitry V. Levin <ldv@altlinux.org> 1.0.3-alt2
- Rebuilt for new style PAM dependencies generated by rpm-build-4.0.4-alt55.

* Wed Aug 24 2005 Dmitry V. Levin <ldv@altlinux.org> 1.0.3-alt1
- Updated to 1.0.3 (with all changes made in previous release applied).

* Tue Aug 09 2005 Dmitry V. Levin <ldv@altlinux.org> 1.0.2-alt1
- Updated to 1.0.2.
- Restricted list of global symbols exported by the pam module.
- Fixed potential memory leak in say().

* Tue Apr 19 2005 Dmitry V. Levin <ldv@altlinux.org> 1.0.1-alt1
- Updated to 1.0.1.

* Thu Feb 10 2005 Dmitry V. Levin <ldv@altlinux.org> 0.7.6-alt3
- Fixed multilib.

* Wed Feb 09 2005 Dmitry V. Levin <ldv@altlinux.org> 0.7.6-alt2
- Deal with compilation warnings generated on x86_64 platform.

* Sun Jan 30 2005 Dmitry V. Levin <ldv@altlinux.org> 0.7.6-alt1
- Updated to 0.7.6.

* Fri Jan 02 2004 Dmitry V. Levin <ldv@altlinux.org> 0.7.5-alt2
- Deal with compilation warnings generated by new gcc compiler.

* Sun Nov 09 2003 Dmitry V. Levin <ldv@altlinux.org> 0.7.5-alt1
- Updated to 0.7.5.

* Tue Oct 07 2003 Dmitry V. Levin <ldv@altlinux.org> 0.7.4-alt1
- Updated to 0.7.4.

* Thu Jun 05 2003 Dmitry V. Levin <ldv@altlinux.org> 0.7.3-alt2
- Fixed build with OpenPAM.
- Added Linux-PAM/OpenPAM multi-build support.

* Wed Mar 05 2003 Dmitry V. Levin <ldv@altlinux.org> 0.7.3-alt1
- Updated to 0.7.3, alt-makefile patch merged upstream:
  * Thu Oct 31 2002 Solar Designer <solar@owl.openwall.com>
  - When compiling with gcc, also link with gcc.
  - Use $(MAKE) to invoke sub-makes.
  * Fri Oct 04 2002 Solar Designer <solar@owl.openwall.com>
  - Solaris 9 notes in PLATFORMS.

* Tue Sep 24 2002 Dmitry V. Levin <ldv@altlinux.org> 0.7.1-alt1
- Updated to 0.7.1:
  * Wed Sep 18 2002 Solar Designer <solar@owl.openwall.com>
  - Build with Sun's C compiler cleanly, from Kevin Steves.
  - Use install -c as that actually makes a difference on at least HP-UX
  (otherwise install would possibly move files and not change the owner).
  * Fri Sep 13 2002 Solar Designer <solar@owl.openwall.com>
  - Have the same pam_passwdqc binary work for both trusted and non-trusted
  HP-UX, from Kevin Steves.
  * Fri Sep 06 2002 Solar Designer <solar@owl.openwall.com>
  - Use bigcrypt() on HP-UX whenever necessary, from Kevin Steves of Atomic
  Gears LLC.
  - Moved the old password checking into a separate function.

* Mon Aug 05 2002 Dmitry V. Levin <ldv@altlinux.org> 0.6-alt1
- 0.6:
  * Sat Jul 27 2002 Solar Designer <solar@owl.openwall.com>
  - Documented that the man page is under the 3-clause BSD-style license.
  * Tue Jul 23 2002 Solar Designer <solar@owl.openwall.com>
  - Applied minor corrections to the man page and at the same time eliminated
  unneeded/unimportant differences between it and the README.
  * Sun Jul 21 2002 Solar Designer <solar@owl.openwall.com>
  - 0.5.1: imported the pam_passwdqc(8) manual page back from FreeBSD.
  * Tue Apr 16 2002 Solar Designer <solar@owl.openwall.com>
  - 0.5: preliminary OpenPAM (FreeBSD-current) support in the code and related
  code cleanups (thanks to Dag-Erling Smorgrav).

* Thu Dec 20 2001 Dmitry V. Levin <ldv@alt-linux.org> 0.4-alt3
- Rebuilt (to fix documentation permissions).

* Tue Nov 13 2001 Dmitry V. Levin <ldv@alt-linux.org> 0.4-alt2
- Corrected Url (thanx to Solar for the hint).

* Sun Nov 04 2001 Dmitry V. Levin <ldv@alt-linux.org> 0.4-alt1
- 0.4

* Fri Feb 02 2001 Dmitry V. Levin <ldv@fandra.org> 0.3-ipl1
- RE adaptions.

* Mon Oct 30 2000 Solar Designer <solar@owl.openwall.com>
- 0.3: portability fixes (this might build on non-Linux-PAM now).

* Fri Sep 22 2000 Solar Designer <solar@owl.openwall.com>
- 0.2: added "use_authtok", added README.

* Fri Aug 18 2000 Solar Designer <solar@owl.openwall.com>
- 0.1, "retry_wanted" bugfix.

* Sun Jul 02 2000 Solar Designer <solar@owl.openwall.com>
- Initial version (non-public).
